Configs
Pipeline configs are versioned configurations for a particular pipeline.
List all pipeline configs
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configsA pipeline's config is the small program you write to configure how you want your pipeline to run.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_secret | boolean | no | Return credentials in plaintext instead of redacted. Admin only. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListPipelineConfigsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Register a new pipeline configuration
POST
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configsThis creates both the pipeline metadata and the initial config object.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Request body (required): RegisterPipelineConfigRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | RegisterPipelineConfigResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get a specific version of a pipeline configuration
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}A version of 0 indicates to return the latest pipeline config.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
version | integer | yes | The version of the configuration you want to target. 0 means return the latest. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_secret | boolean | no | Return credentials in plaintext instead of redacted. Admin only. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetPipelineConfigResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Deploy pipeline config
POST
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
version | integer | yes | The version of the configuration you want to target. 0 means return the latest. |
Responses
| Status | Body | Description |
|---|---|---|
201 | DeployPipelineConfigResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Delete pipeline config by version
DELETE
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
version | integer | yes | The version of the configuration you want to target. 0 means return the latest. |
Responses